Status: Resolved Priority: Should have
Author: Andreas Förthner Category: MVC
Created: 2011-09-08 Assigned To: Andreas Förthner
Updated: 2011-12-21 Due date:
PHP Version:
Has patch: No
Complexity:
Subject: You should be able to pass entities that have not yet been persisted as uri arguments
Description

This can be achieved by storing these entities in session scope until they get persisted.

Associated revisions
Revision 10a0ad65 - 2011-11-07 14:37 - Robert Lemke

[FEATURE] Persistence Manager knows about unmanaged, new objects

This patch enhances the persistence aspect and the related code in the
Persistence Manager so that getObjectByIdentifier() also returns those
objects which have been created but not yet added to any repository.

That allows, among other things, to render URIs pointing to not yet
persisted objects which have been carried around in a session container.

Resolves: #29578
Releases: 1.1
Change-Id: I5cb5f497b475600dc0faa448600bdd7af8927e7a

History
#1 - 2011-09-09 10:29 - Mr. Hudson
- Status changed from New to Under Review

Patch set 9 of change I7e8ae6867309ced25aead72ac764c834e22e9adc has been pushed to the review server.
It is available at http://review.typo3.org/2273

#2 - 2011-10-20 01:43 - Karsten Dambekalns
- Target version changed from 1230 to 1.1

#3 - 2011-11-04 18:27 - Mr. Hudson

Patch set 1 of change I5cb5f497b475600dc0faa448600bdd7af8927e7a has been pushed to the review server.
It is available at http://review.typo3.org/6547

#4 - 2011-11-07 11:21 - Mr. Hudson
Patch set 2 of change I5cb5f497b475600dc0faa448600bdd7af8927e7a has been pushed to the review server.
It is available at http://review.typo3.org/6547

#5 - 2011-11-07 14:37 - Mr. Hudson

Patch set 3 of change I5cb5f497b475600dc0faa448600bdd7af8927e7a has been pushed to the review server.
It is available at http://review.typo3.org/6547

#6 - 2011-11-07 22:05 - Robert Lemke
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:10a0ad65e9e6697f9f14fd9823e2c44fa15e36ae.

#7 - 2011-11-08 13:39 - Christopher Hlubek
- Has patch set to No

There is a bug in the current implementation that does not reset new objects on clearState. This causes a lot of functional persistence tests to fail. I'll
push a bugfix for that.

#8 - 2011-12-21 12:37 - Karsten Dambekalns
- Target version changed from 1.1 to 1.1 beta 1
